Bug 1414183 - usb_modeswitch-2.5.2 is available
Summary: usb_modeswitch-2.5.2 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: usb_modeswitch
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: romal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 00:29 UTC by Upstream Release Monitoring
Modified: 2020-03-30 00:16 UTC (History)
4 users (show)

Fixed In Version: usb_modeswitch-2.6.0-1.fc32
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-30 00:16:53 UTC
Type: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.26 KB, patch)
2017-01-18 00:30 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.5.2 (#1414183) (972 bytes, patch)
2017-12-31 12:27 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2017-01-18 00:29:41 UTC
Latest upstream release: 2.5.0
Current version/release in rawhide: 2.4.0-5.fc26
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5059/

Comment 1 Upstream Release Monitoring 2017-01-18 00:30:24 UTC
Patching or scratch build for usb_modeswitch-2.4.0 failed.

Comment 2 Upstream Release Monitoring 2017-01-18 00:30:26 UTC
Created attachment 1242013 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2017-01-18 00:30:27 UTC
Patches were not touched. All were applied properly

Comment 4 Josua Dietze 2017-01-19 18:57:11 UTC
This release should fix bug #1373274.

Comment 5 poma 2017-02-07 21:13:22 UTC
Josua Dietze,
care to provide message digest for usb-modeswitch-2.5.0.tar.bz2?

Comment 6 Josua Dietze 2017-02-20 12:25:39 UTC
poma,
can you elaborate? Do you need a MD5 string? For which file (package) precisely?

Comment 7 poma 2017-03-07 12:03:22 UTC
(In reply to Josua Dietze from comment #6)
> poma,
> can you elaborate? Do you need a MD5 string? For which file (package)
> precisely?

Yeah, the MD5 checksum - if it is sufficient enough for e.g. Drive, and ModemManager
https://developers.google.com/drive/v3/reference/files
https://lists.freedesktop.org/archives/modemmanager-devel/2016-November/003599.html
then I guess it should be sufficient here also, I mean upstream
http://www.draisberghof.de/usb_modeswitch/#download

Yeah, for both, usb-modeswitch and -data.

Thanks

Comment 8 Josua Dietze 2017-03-07 21:54:41 UTC
See comment 20 on bug #1365233

Comment 9 Upstream Release Monitoring 2017-12-31 12:27:30 UTC
Latest upstream release: 2.5.2
Current version/release in rawhide: 2.5.1-1.fc28
URL: http://www.draisberghof.de/usb_modeswitch/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5059/

Comment 10 Upstream Release Monitoring 2017-12-31 12:27:39 UTC
Created attachment 1374895 [details]
[patch] Update to 2.5.2 (#1414183)

Comment 11 Upstream Release Monitoring 2017-12-31 12:30:52 UTC
hotness's scratch build of usb_modeswitch-2.5.2-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=23955386

Comment 12 Josua Dietze 2017-12-31 16:19:41 UTC
Version 2.5.2 likely obsoletes several Redhat patches which are now applied upstream.

Comment 13 Fedora Update System 2020-03-25 12:02:59 UTC
FEDORA-2020-31618d3948 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-31618d3948`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-31618d3948

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-03-30 00:16:53 UTC
FEDORA-2020-31618d3948 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.